if IsAddOnLoaded("Bartender4") then
	local function Bartender4_Buttons_UpdateCountList(add)
		for i = 1, 120 do
			local name = "BT4Button"..i
			local button = getglobal(name)
			
			if button and button:IsShown() then
				local id = button.action
				local frame = getglobal("BT4Button"..i.."Count")
				if id and frame then
					add(frame, "action", id)
				end
			end
		end
		for i = 1, 10 do
			local name = "BT4StanceButton"..i
			local button = getglobal(name)
			
			if button and button:IsShown() then
				local id = button:GetID()
				local frame = getglobal("BT4StanceButton"..i.."Count")
				if id and frame then
					add(frame, "shapeshift", id)
				end
			end
		end
		for i = 1, 10 do
			local name = "BT4PetButton"..i
			local button = getglobal(name)
			
			if button and button:IsShown() then
				local id = button.id
				local frame = getglobal("BT4PetButton"..i.."Count")
				if id and frame then
					add(frame, "pet", id)
				end
			end
		end
	end

	local Bartender4_Button_UpdateCount = Bartender4.Button.UpdateCount
	function Bartender4.Button:UpdateCount()
		local frame = self.count
		local info = ltc:GetCountList()[frame]
		if info then
			ltc:UpdateCount (frame, info)
		else
			Bartender4_Button_UpdateCount (self)
		end
	end

	ltc:RegisterPlugin(Bartender4_Buttons_UpdateCountList)
end
